#!/usr/bin/perl
#
# Ralf's Chat - a Perl webchat script
# Copyright 1998-2002 Ralf Gueldemeister <ralf@ralfchat.com>
#
# This file is part of Ralf's Chat.
#
# Ralf's Chat is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# Ralf's Chat is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Ralf's Chat; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# HTML Part
#
########################

#USER_ERROR.HTML - view error msg
sub user_error_html { # $_[0] - title/headline, $_[1] - error msg
    &logfile("[USER ERROR] $_[0]", 4);
    print <<"[END]";
<HTML>
<HEAD><TITLE>$html_title - $_[0]</TITLE>
$html_css
</HEAD>
$html_bodytag
<CENTER>
<H1><I>$_[0]</I></H1>
<B>$_[1]</B>
</CENTER>
</BODY>
</HTML>
[END]
}

1;

# EOF
