#!/usr/bin/perl
# Ralf's Chat - a Perl webchat script
# Copyright 1998-2002 Ralf Gueldemeister <ralf@ralfchat.com>
#
# This file is part of Ralf's Chat.
#
# Ralf's Chat is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# Ralf's Chat is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Ralf's Chat; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# Messages Part
#
########################

$msg{'au'}	= 'all users'; # all users
$msg{'away'}	= '[away]'; # [away] - may be replaced with an image
$msg{'banne'}	= 'banned'; # banned
$msg{'banne2'}	= '<B>banned:</B> ~~0~~'; # <B> banned:</B> ~~0~~ 
$msg{'cf'}	= '<B> ~~0~~ comes from ~~1~~</B>'; # <B> ~~0~~ comes from ~~1~~</B>
$msg{'cli'}	= 'current/last ip'; # current/last ip
$msg{'co'}	= 'created on'; # created on
$msg{'dne'}	= 'does not exist'; # does not exist
$msg{'email'}	= 'email'; # email
$msg{'gt'}	= '<B> ~~0~~ goes to ~~1~~</B>'; # <B> ~~0~~ goes to ~~1~~</B>
$msg{'hetc'}	= '<B>~~0~~ has entered the chat</B>'; # ~~0~~ has entered the chat
$msg{'hltc'}	= '<B> ~~0~~ has left the chat</B>'; # <B> ~~0~~ has left the chat</B>
$msg{'hltct'}	= '<B> ~~0~~ has left the chat (timeout)</B>'; # <B> ~~0~~ has left the chat (timeout)</B>
$msg{'hrtc'}	= '<B>~~0~~ has reentered the chat</B>'; # ~~0~~ has reentered the chat
$msg{'ia'}	= 'is away:'; # is away
$msg{'iba'}	= 'is back again:'; # is back again
$msg{'ipb'}	= 'IP ~~0~~ banned'; # IP ~~0~~ banned
$msg{'kicke'}	= 'kicked'; # kicked
$msg{'lpwem'}	= << '[END]'; # lost password email to user
To: ~~0~~
From: ~~1~~ (~~2~~)
Subject: [CHAT] Your Password

Your password is ~~3~~ (username: ~~4~~)

- the admin
[END]

$msg{'lv'}	= 'last visited'; # last visited
$msg{'memos'}	= 'memos'; # memos
$msg{'mf'}	= 'Memo for'; # Memo for
$msg{'mf2'}	= '<B>Memo from ~~0~~ (~~1~~): ~~2~~</B>'; # <B>Memo from ~~0~~ (~~1~~): ~~2~~</B>
$msg{'norma'}	= 'normal'; # normal
$msg{'npcfp'}	= 'New password check failed, probably mistyped'; # New password check failed, probably mistyped
$msg{'onlin'}	= 'online'; # online
$msg{'pc'}	= 'Password changed'; # Password changed
$msg{'remov'}	= 'removed'; # removed
$msg{'ru'}	= 'removed users'; # removed users
$msg{'statu'}	= 'status'; # status
$msg{'tau'}	= 'to all users'; # to all users
$msg{'tnou'}	= 'Total number of users:'; # Total number of users:
$msg{'tnpmn'}	= 'The new password may not contain ";\'"'; # The new password may not contain ";\'"
$msg{'total'}	= 'total'; # total
$msg{'tuo'}	= 'The userlevel of ~~0~~ is now ~~1~~'; # The userlevel of ~~0~~ is now ~~1~~
$msg{'ub'}	= 'User ~~0~~ banned'; # User ~~0~~ banned
$msg{'unban'}	= 'unbanned'; # unbanned
$msg{'uc'}	= 'unknown command'; # unknown command
$msg{'ui'}	= '<B>~~0~~</B><BR>realname: ~~1~~<BR>email: <A HREF="mailto:~~2~~">~~2~~</A><BR>age: ~~3~~<BR>city: ~~4~~<BR>country: ~~5~~<BR>homepage: <A HREF="~~6~~">~~6~~</A><BR>anything else: ~~7~~<BR>photo: <A HREF="~~8~~">~~8~~</A>'; # <B>~~0~~</B><BR>realname: ~~1~~<BR>email: <A HREF="mailto:~~2~~">~~2~~</A><BR>age: ~~3~~<BR>city: ~~4~~<BR>country: ~~5~~<BR>homepage: <A HREF="~~6~~">~~6~~</A><BR>anything else: ~~7~~<BR>photo: <A HREF="~~8~~">~~8~~</A>
$msg{'unf'}	= 'user ~~0~~ not found'; # user ~~0~~ not found
$msg{'user'}	= 'user'; # user
$msg{'userl'}	= 'userlevel'; # userlevel
$msg{'usern'}	= 'username';# username
$msg{'users'}	= 'users'; # users
$msg{'welco'}	= "Welcome to $html_title!<BR>/help - helptext"; # Welcome to $html_title!<BR>/help - helptext
$msg{'wp'}	= 'wrong password'; # wrong password
$msg{'wps'}	= 'was posted successfully'; # was posted successfully
$msg{'yaba'}	= 'You are back again'; # You are back again
$msg{'yana'}	= 'You are now away'; # You are now away
$msg{'ydhtn'}	= 'You don\'t have the needed userlevel for '; # You don\'t have the needed userlevel for
$msg{'ydhtn2'}	= 'You don\'t have the needed userlevel or the masterpassword is wrong'; # You don\'t have the needed userlevel or the masterpassword is wrong
$msg{'ypitl'}	= 'Your password is too long. The maximum length is ~~0~~.'; # Your password is too long. The maximum length is ~~0~~.


# help messages
$help{'main'}	= << '[END]'; # main help message
<I><B>You may use the following commands (according to your userlevel):</B></I><P>
[END]

$help{'msg'}	= '/msg <KBD>username</KBD> <KBD>message</KBD> - send private message to user'; # /msg <KBD>username</KBD> <KBD>message</KBD> - send private message to user
$help{'help'}	= '/help - this help text<BR>/help <KBD>command</KBD> - help message of command'; # /help - this help text<BR>/help <KBD>command</KBD> - help message of command
$help{'about'} 	= '/about - about this program'; # /about - about this program
$help{'me'}	= '/me - action (eg "/me says hello" will appear as "* user says hello")'; # /me - action (eg "/me says hello" will appear as "* user says hello")
$help{'whois'}	= '/whois <KBD>username</KBD> - show profile of user'; # /whois <KBD>username</KBD> - show profile of user
$help{'memo'}	= '/memo <KBD>username message</KBD> - leave message for offline user'; # /memo <KBD>username message</KBD> - leave message for offline user
$help{'away'}	= '/away <KBD>message</KBD> - set or unset away status and post message (optional)'; # /away <KBD>message</KBD> - set or unset away status and post message (optional)
$help{'users'}	= '/users - list all users (online or not)'; # /users - list all users (online or not)
$help{'deluser'}	= '/deluser <KBD>username</KBD> - delete user'; # /deluser <KBD>username</KBD> - delete user
$help{'kick'}	= '/kick <KBD>username</KBD> - kick user out of the chat'; # /kick <KBD>username</KBD> - kick user out of the chat
$help{'ban'}	= '/ban <KBD>username</KBD> - ban user from chatroom<BR>/ban ip:<KBD>x.x.x.x</KBD> - ban ip from chatroom (works only when user with banned ip enters, you have to kick/ban the user manually, too)<BR>/ban ip:<KBD>x.[x.[x.]]</KBD> - ban ip class<BR>/ban - show banned users and ips'; # /ban <KBD>username</KBD> - ban user from chatroom<BR>/ban ip:<KBD>x.x.x.x</KBD> - ban ip from chatroom (works only when user with banned ip enters, you have to kick/ban the user manually, too)<BR>/ban - show banned users and ips
$help{'unban'}	= '/unban <KBD>username</KBD> - unban user<BR>/unban ip:<KBD>x.x.x.x</KBD> - unban ip'; # /unban <KBD>username</KBD> - unban user<BR>/unban ip:<KBD>x.x.x.x</KBD> - unban ip
$help{'admin_memo'}	= '/admin_memo <KBD>message</KBD> - leave message for all users'; # /admin_memo <KBD>message</KBD> - leave message for all users
$help{'ip'}	= '/ip <KBD>username</KBD> - show ip of user'; # /ip <KBD>username</KBD> - show ip of user
$help{'userlevel'}	= '/userlevel <KBD>username level [masterpassword]</KBD> - change userlevel of user (own userlevel must be > level, or masterpassword has to be given)'; # /userlevel <KBD>username level [masterpassword]</KBD> - change userlevel of user (own userlevel must be > level, or masterpassword has to be given)


# user errors (headline and text)
$err_h{'cif'}	= 'Chat is full'; # Chat is full
$err_t{'cif'}	= "Sorry, the chat is full.<BR>You can login anyway if your userlevel is > 0.<BR><A HREF=\"$script_name\">back</A>"; # Sorry, the chat is full.<BR>You can login anyway if your userlevel is > 0.<BR><A HREF=\"$script_name\">back</A>
$err_h{'in'}	= 'Illegal username'; # Illegal Nick
$err_t{'in'}	= "Your username ~~0~~ contains illegal characters<BR>A username may contain only letters, numbers and the underdash \"_\".<BR><B><A HREF=\"$script2_name?action=register\">retry</A>"; # Your username ~~0~~ contains illegal characters<BR>A username may contain only letters, numbers and the underdash \"_\".<BR><B><A HREF=\"$script2_name?action=register\">retry</A>
$err_h{'ip'}	= 'Illegal Password'; # Illegal Password
$err_t{'ip'}	= "A password may not contain \";\'\"<BR><A HREF=\"$script2_name?action=register\">retry</A>"; # A password may not contain \";\"<BR><A HREF=\"$script2_name?action=register\">retry</A>
$err_h{'isid'}	= 'Invalid Session ID'; # Invalid Session ID
$err_t{'isid'}	= "You are not logged in. Either you have been logged out because of a timeout or you have been kicked/banned. <BR><A HREF=\"$script_name\" TARGET=\"_top\">login</A>"; # You are not logged in. Either you have been logged out because of a timeout or you have been kicked/banned. <BR><A HREF=\"$script_name\" TARGET=\"_top\">login</A>
$err_h{'iu'}	= 'Illegal username'; # Illegal username
$err_t{'iu'}	= "Your username ~~0~~ contains illegal characters<BR>A username must not contain \\\";/ :?*<>|'<BR><A HREF=\"$script2_name?action=register\">retry</A>"; # Your username \"$query{'name'}\" contains illegal characters<BR>A username must not contain \\\";/ :?*<>|'<BR><A HREF=\"$script2_name?action=register\">retry</A>
$err_h{'lp'}	= 'Lost Password'; # Lost Password
$err_t{'lp'}	= "The password was sent to you.<BR><A HREF=\"$script_name\">back</A>"; # The password was sent to you ($query{'email'}).<BR><A HREF=\"$script_name\">back</A>
$err_h{'lp2'}	= 'Lost Password'; # Lost Password
$err_t{'lp2'}	= "The password was not sent to you because you didn\'t register an email address. Please contact the admin. <P><A HREF=\"$script_name\">back</A>"; #The password was not sent to you because you didn\'t register an email address. Please contact the admin. <P><A HREF=\"$script_name\">back</A>
$err_h{'pcf'}	= 'Password Check Failed'; # Password Check Failed
$err_t{'pcf'}	= "The passwords you entered are not equal<BR><A HREF=\"$script2_name?action=register\">retry</A>"; # The passwords you entered are not equal<BR><A HREF=\"$script2_name?action=register\">retry</A>
$err_h{'ptl'}	= 'Password too long'; # Password too long
$err_t{'ptl'}	= "Your password is too long. The maximum length is ~~0~~.<BR><A HREF=\"$script2_name?action=register\">retry</A>"; # Your password is too long. The maximum length is ~~0~~. <BR><A HREF=\"$script2_name?action=register\">retry</A>
$err_h{'uae'}	= 'Username already exists'; # Username already exists
$err_t{'uae'}	= "<A HREF=\"$script2_name?action=register\">try another username</A>"; # <A HREF=\"$script2_name?action=register\">try another username</A>
$err_h{'uali'}	= 'User already logged in'; # User already logged in
$err_t{'uali'}	= "The user \"~~0~~\" is already logged in"; # The user \"~~0~~\" is already logged in
$err_h{'unf'}	= 'User not found'; # User not found
$err_t{'unf'}	= "<A HREF=\"$script2_name?action=register&name=~~0~~\">register</A> or<BR><A HREF=\"$script_name\">retry</A>"; # <A HREF=\"$script2_name?action=register&name=~~0~~\">register</A> or<BR><A HREF=\"$script_name\">retry</A>
$err_h{'utl'}	= 'Username too long'; # Username too long
$err_t{'utl'}	= "Your username \"~~0~~\" is too long. The maximum length is ~~1~~.<BR><A HREF=\"$script2_name?action=register\">retry</A>"; # Your username \"~~0~~\" is too long. The maximum length is ~~1~~. <BR><A HREF=\"$script2_name?action=register\">retry</A>
$err_h{'wp'}	= 'Wrong Password'; # Wrong Password
$err_t{'wp'}	= "<A HREF=\"$script2_name?action=send_pwd&name=~~0~~\">lost password</A><BR><A HREF=\"$script_name\">retry</A>"; # <A HREF=\"$script2_name?action=send_pwd&name=~~0~~\">lost password</A><BR><A HREF=\"$script_name\">retry</A>
$err_h{'yab'}	= 'You are banned'; # You are banned
$err_t{'yab'}	= "<A HREF=\"$scriptgu_name?$logout_url\" TARGET=\"_parent\">logout</A>"; # <A HREF=\"$scriptgu_name?$logout_url\" TARGET=\"_parent\">logout</A>


# html files

# changeuserinfo_html
$html{'cui'}{'age'}	= 'age'; # age
$html{'cui'}{'city'}	= 'city'; # city
$html{'cui'}{'count'}	= 'country'; # country
$html{'cui'}{'cui'}	= 'Change User Information'; # Change User Information
$html{'cui'}{'ee'}	= 'everything else'; # everything else
$html{'cui'}{'email'}	= 'email'; # email
$html{'cui'}{'hu'}	= 'homepage url'; # homepage url
$html{'cui'}{'icqu'}	= 'ICQ uin'; # ICQ uin
$html{'cui'}{'pu'}	= 'photo url'; # photo url
$html{'cui'}{'realn'}	= 'real name'; # real name
$html{'cui'}{'sui'}	= 'save user info'; # save user info

# chat_html
$html{'chat'}{'conti'}	= 'continue'; # continue

# chatinput_html
$html{'ci'}{'logou'}	= 'logout'; # logout
$html{'ci'}{'optio'}	= 'options'; # options
$html{'ci'}{'pause'}	= 'pause'; # pause
$html{'ci'}{'post'}	= 'post'; # post
$html{'ci'}{'profi'}	= 'profile'; # profile

# options_html
$html{'optio'}{'aqua'}	= 'aqua'; # aqua
$html{'optio'}{'black'}	= 'black'; # black
$html{'optio'}{'blue'}	= 'blue'; # blue
$html{'optio'}{'cp'}	= 'change password'; # change password
$html{'optio'}{'curre'}	= 'current'; # current
$html{'optio'}{'efa'}	= 'email (for administration)'; # email (for administration)
$html{'optio'}{'fc'}	= 'font color'; # font color
$html{'optio'}{'fuchs'}	= 'fuchsia'; # fuchsia
$html{'optio'}{'gray'}	= 'gray'; # gray
$html{'optio'}{'green'}	= 'green'; # green
$html{'optio'}{'red'}	= 'red'; # red
$html{'optio'}{'lime'}	= 'lime'; # lime
$html{'optio'}{'lsl'}	= 'login sound (local)'; # login sound (local)
$html{'optio'}{'maroo'}	= 'maroon'; # maroon
$html{'optio'}{'mo'}	= 'message order'; # message order
$html{'optio'}{'navy'}	= 'navy'; # navy
$html{'optio'}{'np'}	= 'new password'; # new password
$html{'optio'}{'npa'}	= 'new password again'; # new password again
$html{'optio'}{'nob'}	= 'newest on bottom'; # newest on bottom
$html{'optio'}{'not'}	= 'newest on top'; # newest on top
$html{'optio'}{'olive'}	= 'olive'; # olive
$html{'optio'}{'om'}	= 'output method'; # output method
$html{'optio'}{'op'}	= 'old password'; # old password
$html{'optio'}{'optio'}	= 'Options'; # Options
$html{'optio'}{'purpl'}	= 'purple'; # purple
$html{'optio'}{'rds'}	= 'refresh delay (secs)'; # refresh delay (secs)
$html{'optio'}{'refre'}	= 'refresh'; # refresh
$html{'optio'}{'silve'}	= 'silver'; # silver
$html{'optio'}{'so'}	= 'set options'; # set options
$html{'optio'}{'stand'}	= 'standard'; # standard
$html{'optio'}{'strea'}	= 'streaming'; # streaming
$html{'optio'}{'teal'}	= 'teal'; # teal
$html{'optio'}{'white'}	= 'white'; # white
$html{'optio'}{'yello'}	= 'yellow'; # yello

# register_html
$html{'regis'}{'eofa'}	= 'email:<BR> (only for administration)'; # email:<BR> (only for administration)
$html{'regis'}{'nu'}	= 'new username'; # new username
$html{'regis'}{'p'}	= 'password'; # password
$html{'regis'}{'pa'}	= 'password again'; # password again
$html{'regis'}{'regis'}	= 'register and login'; # register and login
$html{'regis'}{'rnu'}	= 'Register New Username'; # Register New Username

# rooms_html
$html{'rooms'}{'cr'}	= 'change room'; # change room

# userinfo_html
$html{'useri'}{'ae'}	= 'anything else'; # anything else
$html{'useri'}{'age'}	= 'age'; # age
$html{'useri'}{'city'}	= 'city'; # city
$html{'useri'}{'count'}	= 'country'; # country
$html{'useri'}{'email'}	= 'email'; # email
$html{'useri'}{'hu'}	= 'homepage url'; # homepage url
$html{'useri'}{'icqu'}	= 'ICQ uin'; # ICQ uin
$html{'useri'}{'rn'}	= 'real name'; # real name
$html{'useri'}{'ui'}	= 'User Information'; # User Information
$html{'useri'}{'usern'}	= 'username'; # username

# welcome_html
$html{'welco'}{'cc'}	= 'currently chatting'; # currently chatting
$html{'welco'}{'enter'}	= 'enter'; # enter
$html{'welco'}{'login'}	= 'Login'; # Login
$html{'welco'}{'p'}	= 'password'; # password
$html{'welco'}{'rnu'}	= 'register new username'; # register new username
$html{'welco'}{'room'}	= 'room'; # room
$html{'welco'}{'usern'}	= 'username'; # username

1;

# EOF
