#!/usr/bin/perl
# Ralf's Chat - a Perl webchat script
# Copyright 1998-2002 Ralf Gueldemeister <ralf@ralfchat.com>
#
# This file is part of Ralf's Chat.
#
# Ralf's Chat is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# Ralf's Chat is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Ralf's Chat; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# HTML Part
#
########################

#CHAT.HTML
sub chat_html_header {
    print <<"[END]";
<HTML>
<HEAD>
[END]
    if (not $query{'pause'}) {
	if ($ENV{'HTTP_USER_AGENT'} =~ /MSIE ?(5.5|6|7|8)/) {
	    print <<"[END]";
<META HTTP-EQUIV=refresh CONTENT=$session{'updatefrequency'} URL="$script_name?action=chat&id=$query{'id'}#end">
[END]
        } elsif ($ENV{'HTTP_USER_AGENT'} =~ /MSIE/) {
            print <<"[END]";
<SCRIPT LANGUAGE=\"JavaScript\">
<!--
window.setTimeout("window.location.reload()",$session{'updatefrequency'}000);
//-->
</SCRIPT>
<NOSCRIPT>
<META HTTP-EQUIV="refresh" CONTENT="$session{'updatefrequency'}; URL=$script_name?action=chat&id=$query{'id'}#end">
</NOSCRIPT>
[END]
        } else {
            print <<"[END]";
<META HTTP-EQUIV="refresh" CONTENT="$session{'updatefrequency'}; URL=$script_name?action=chat&id=$query{'id'}#end">
[END]
        }
    }
    print <<"[END]";
<META HTTP-EQUIV="expires" CONTENT="0">
<META HTTP-EQUIV="pragma" CONTENT="no-cache">
$html_css
</HEAD>
$html_bodytag
[END]
    if ($session{'new_msg_on_top'}) {
	print <<"[END]";
<A NAME="end"></A>
[END]
        if ($query{'pause'}) {
	    print <<"[END]";
<A HREF="$script_name?action=chat&id=$query{'id'}#end"><B>$html{'chat'}{'conti'}</B></A><P>
[END]
        }
    }
}

sub chat_html_footer {
    if (not $session{'new_msg_on_top'}) {
	print <<"[END]";
<A NAME=\"end\"></A>
<SCRIPT LANGUAGE=\"JavaScript\">
<!--
if (document.all) {
 end.scrollIntoView(false);
}
//-->
</SCRIPT>
[END]
	if ($query{'pause'}) {
	    print <<"[END]";
<P><A HREF="$script_name?action=chat&id=$query{'id'}#end"><B>$html{'chat'}{'conti'}</B></A>
[END]
	}
    }
    print <<"[END]";
</BODY>
</HTML>
[END]
}

1;

# EOF
